
Redmine - Defect #42584

NoMethodError when creating a user with an invalid email address and domain restrictions are

enabled

2025-04-15 11:17 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 5.1.8   

Resolution: Fixed Affected version:  

Description

When "Allowed email domains" or "Disallowed email domains" are configured in Administration > Settings, attempting to create a

new user with an invalid email address that does not contain an '@' causes a NoMethodError in EmailAddress.domain_in? during

validation. As a result, the user sees an "Internal Server Error" page.

The attached patch fixes the issue.

Associated revisions

Revision 23666 - 2025-04-18 09:43 - Go MAEDA

NoMethodError when creating a user with an invalid email address and domain restrictions are enabled (#42584).

Patch by Go MAEDA (user:maeda).

Revision 23681 - 2025-04-19 08:36 - Go MAEDA

Merged r23666 from trunk to 6.0-stable (#42584).

Revision 23682 - 2025-04-19 08:38 - Go MAEDA

Merged r23666 from trunk to 5.1-stable (#42584).

History

#1 - 2025-04-16 07:46 - Go MAEDA

- File fix-email-address-domain_in-v2.patch added

I have updated the patch.

The updated patch also skips domain validation to avoid displaying an error message with an empty domain name, such as "Email contains a domain

not allowed ()".

#2 - 2025-04-17 03:18 - Go MAEDA

- Target version changed from Candidate for next minor release to 5.1.8

Setting the target version to 5.1.8.

#3 - 2025-04-18 17:41 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

#4 - 2025-04-19 08:39 - Go MAEDA

- Status changed from Resolved to Closed

Committed the fix in r23666 and merged it into stable branches in r23681 and r23682.

Files
https://www.redmine.org/projects/redmine/repository/svn/revisions/23666
https://www.redmine.org/projects/redmine/repository/svn/revisions/23681
https://www.redmine.org/projects/redmine/repository/svn/revisions/23682


fix-email-address-domain_in.patch 1.13 KB 2025-04-15 Go MAEDA

fix-email-address-domain_in-v2.patch 1.51 KB 2025-04-16 Go MAEDA
